/*
 * OutputStream.java
 *
 * Created on Ketvirtadienis, 2007, Sausio 25, 17.18
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Main.util;

import Main.*;
import java.io.*;


public class OutputStream extends PrintStream
{
	public OutputStream()
	{
		super(System.out);
	}
	
	public void print(String s)
    {
        if (s == null) return;
        MainWindow.getInstance().getOutputStreamPanel().log(s);
    }

    public void println(String s)
    {
        if (s == null) return;
        print(s);
		print("\n");
		
    }

    public void print(char[] c )
    {
        if (c == null) return;
        String s=new String(c);
        print(s);
    }

    public void println(char[] c)
    {
        if (c == null) return;
        String s=new String(c);
        println(s);
    }

    public void print(Object o )
    {
        if (o == null) return;
        String s=o.toString();
        print(s);
    }

    public void println(Object o)
    {
        if (o == null) return;
        String s=o.toString();
        println(s);
    }
	
	public void print(double d) 
	{
		String s= new Double(d).toString();
		print(s);
    }
	
	public void println(double d) 
	{
		String s= new Double(d).toString();
		println(s);
    }
	
	public void print(float d) 
	{
		String s= new Float(d).toString();
		print(s);
    }
	
	public void println(float d) 
	{
		String s= new Float(d).toString();
		println(s);
    }
	
	public void print(int d) 
	{
		String s= new Integer(d).toString();
		print(s);
    }
	
	public void println(int d) 
	{
		String s= new Integer(d).toString();
		println(s);
    }
	
	public void print(boolean d) 
	{
		String s= new Boolean(d).toString();
		print(s);
    }
	
	public void println(boolean d) 
	{
		String s= new Boolean(d).toString();
		println(s);
    }
	
	public void print(char d) 
	{
		String s= new Character(d).toString();
		print(s);
    }
	
	public void println(char d) 
	{
		String s= new Character(d).toString();
		println(s);
    }
	
	public void println() 
	{
		println("");
    }
}

